
From: Christoph Hellwig <hch@lst.de>

no more users left, time to kill the various implementations

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ia64/hardirq.h  |    1 -
 25-akpm/include/asm-s390/hardirq.h  |    9 ---------
 25-akpm/include/linux/irq_cpustat.h |    4 ++--
 3 files changed, 2 insertions(+), 12 deletions(-)

diff -puN include/asm-ia64/hardirq.h~kill-softirq_pending include/asm-ia64/hardirq.h
--- 25/include/asm-ia64/hardirq.h~kill-softirq_pending	2005-01-16 14:39:59.501698048 -0800
+++ 25-akpm/include/asm-ia64/hardirq.h	2005-01-16 14:39:59.507697136 -0800
@@ -19,7 +19,6 @@
 
 #define __ARCH_IRQ_STAT	1
 
-#define softirq_pending(cpu)		(cpu_data(cpu)->softirq_pending)
 #define local_softirq_pending()		(local_cpu_data->softirq_pending)
 
 #define HARDIRQ_BITS	14
diff -puN include/asm-s390/hardirq.h~kill-softirq_pending include/asm-s390/hardirq.h
--- 25/include/asm-s390/hardirq.h~kill-softirq_pending	2005-01-16 14:39:59.503697744 -0800
+++ 25-akpm/include/asm-s390/hardirq.h	2005-01-16 14:39:59.508696984 -0800
@@ -28,15 +28,6 @@ typedef struct {
 
 #define local_softirq_pending() (S390_lowcore.softirq_pending)
 
-/* this is always called with cpu == smp_processor_id() at the moment */
-static inline __u32
-softirq_pending(unsigned int cpu)
-{
-	if (cpu == smp_processor_id())
-		return local_softirq_pending();
-	return lowcore_ptr[cpu]->softirq_pending;
-}
-
 #define __ARCH_IRQ_STAT
 #define __ARCH_HAS_DO_SOFTIRQ
 
diff -puN include/linux/irq_cpustat.h~kill-softirq_pending include/linux/irq_cpustat.h
--- 25/include/linux/irq_cpustat.h~kill-softirq_pending	2005-01-16 14:39:59.504697592 -0800
+++ 25-akpm/include/linux/irq_cpustat.h	2005-01-16 14:39:59.508696984 -0800
@@ -23,8 +23,8 @@ extern irq_cpustat_t irq_stat[];		/* def
 #endif
 
   /* arch independent irq_stat fields */
-#define softirq_pending(cpu)	__IRQ_STAT((cpu), __softirq_pending)
-#define local_softirq_pending()	softirq_pending(smp_processor_id())
+#define local_softirq_pending() \
+	__IRQ_STAT(smp_processor_id(), __softirq_pending)
 
   /* arch dependent irq_stat fields */
 #define nmi_count(cpu)		__IRQ_STAT((cpu), __nmi_count)	/* i386 */
_
